Knowledgebase
Unable to Tag Objects for Cross Section Plotting
Posted by Shane O'Rorke on 19 August 2016 12:28 PM

A customer recently was unable to add Tag Objects to tag some polylines for use in Cross Section Plots.  The linework came from the CAD Output Command.

When you use CAD Output command and do not tick on 'omit XData' then we flag (add xdata to) the objects that are output. We do this so we can easily find and remove the objects and replace them if you re-run the command to generate CAD objects.

Unfortunately in this case you can use that object for tagging because xdata is already present on those objects (and we use xdata to handle the tagging).

Here is the process to remove xdata from objects:
- open the drawing
- copy this text into the command line

(defun c:delxd (/ ent elist)
(setq ent (car (entsel)))
(setq elist (entget ent))
(entdel ent)
(entmake elist)
)

- press Enter
- type DELXD at the command line, press Enter, then select the objects to clear xdata from.

After that you should be able to tag the object, wherever it came from.

(0 votes)
This article was helpful
This article was not helpful

Comments (0)
Help Desk Software by Kayako support.civilsurveysolutions.com.au/index.php?